{% extends 'panel/layout/base.html.twig' %}

{% block title %}Panel Klienta{% endblock %}

{% block body %}
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">Profil</h1>
        <a href="{{ path('customer_reports') }}" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                    class="fas fa-download fa-sm text-white-50"></i> Generuj Raport</a>
    </div>
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Dane
                użytkownika {{ user.userName|default('W trakcie rejestracji') }}</h6>
        </div>
        <div class="row">
            <div class="col">
                <div class="card-body">
                    <div class="card border-left-primary shadow h-100 py-2">
                        <div class="card-body">
                            <div class="row no-gutters align-items-center">
                                <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-primary text-uppercase mb-2">DANE KLIENTA</div>
                                    <div class="h6 pb-1 font-weight-bold text-gray-800 "> Imię: {{ user.userProfile.name|default('-') }}</div>
                                    <div class="h6 pb-1 font-weight-bold text-gray-800 "> Nazwisko: {{ user.userProfile.surname|default('-') }}</div>
                                    <div class="h6 pb-1 font-weight-bold text-gray-800 "> Nazwa Firmy: {{ user.customerData.companyName|default('-') }}</div>
                                    <div class="h6 pb-1 font-weight-bold text-gray-800"> NIP: {{ user.customerData.taxnumber|default('-') }}</div>
                                    <div class="h6 pb-1 font-weight-bold text-gray-800"> <i class="fas fa-envelope-square"></i> {{ user.customerData.alternativeEmail|default('-') }} </div>
                                    <div class="h6 pb-1 font-weight-bold text-gray-800"><i class="fas fa-mobile-alt"></i> {{ user.customerData.mobileNumber|default('-') }}</div>
                                    <div class="h6 font-weight-bold text-gray-800"><i class="fas fa-building"></i> {{ user.customerData.postCode|default('-') }}
                                        , {{ user.customerData.city|default('-') }}
                                        , {{ user.customerData.streetName|default('-') }}
                                        {{ user.customerData.houseNumber|default }}
                                        / {{ user.customerData.apartmentNumber|default }}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="card-body">
                    <div class="card border-left-primary shadow h-100 py-2">
                        <div class="card-body">
                            <div class="row no-gutters align-items-center">
                                <div class="col mr-2">
                                    <div class="text-xs font-weight-bold text-primary text-uppercase mb-2">NOTATKI
                                    </div>
                                    <div class="h6 mb-0 font-weight-bold text-gray-800"> {{ user.customerData.additionalInfo|default('Brak notatek')|nl2br|raw }}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <a href="{{ path('customer_data_setup', {'id': user.id}) }}" class="btn btn-danger"><i
                                class="fas fa-user-times"></i> Edytuj dane</a>
                </div>

            </div>
        </div>
    </div>

    <div class="row">
            <div class="col-xl-3 col-md-6 mb-4" onclick="location.href='{{ path('rma_notification_index') }}';" style="cursor: pointer;">
            <div class="card border-left-warning shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Ilość reklamacji
                            </div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">{{ user.rmaNotifications|length }}</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-clipboard-list fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-info shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Rodzaj działalności
                            </div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">{{ user.customerData.customerCategory|default('-') }}</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-industry fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-success shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Konto Aktywne?</div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">{{ user.enabled ? 'Tak' : 'Nie' }}</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-user-check fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-md-6 mb-4">
            <div class="card border-left-warning shadow h-100 py-2">
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">Data i czas ostatnigo
                                logowania
                            </div>
                            <div class="h5 mb-0 font-weight-bold text-gray-800">{{ user.lastLogin|date('Y-m-d H:i:s')|default('-') }}</div>
                        </div>
                        <div class="col-auto">
                            <i class="fas fa-calendar-day fa-2x text-gray-300"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}

{% endblock %}
